Subject: RE: [Isms] properly closing an ssh session

From: "David Harrington" <[email-masked]>
Date: Thu, 8 Nov 2007 17:15:24 -0500

Hi,

I see no record of a reply to this question, so the secshell document
does not deal with this.

dbh 

> -----Original Message-----
> From: Juergen Schoenwaelder 
> [mailto:[email-masked]] 
> Sent: Tuesday, September 18, 2007 12:05 PM
> To: [email-masked]
> Subject: [Isms] properly closing an ssh session
> 
> Hi,
> 
> I have a question for SSH experts (hope there are some on this
list).
> I am wondering what the proper way of closing the SSH session is in
> our case. Note that we run a single SSH channel over the SSH
transport
> and there are several options now.
> 
> a) Be brutal and simply close the underlying TCP connection.
> 
> b) Be a bit less brutal and send an SSH_DISCONNECT with say a
>    reason code of SSH_DISCONNECT_BY_APPLICATION and be done.
> 
> c) Be friendly and play the game of doing an SSH_CHANNEL_CLOSE
>    exchange followed by SSH_DISCONNECT.
> 
> d) Be overly friendly by exchanging SSH_CHANNEL_EOF before
>    exchanging SSH_CHANNEL_CLOSE and doing an SSH_DISCONNECT.
> 
> My reading of the RFCs indicates that d) is not really required and
of
> course a) will always work. There might be reasons to do b) although
> it is not clear which benefit one would get (since my understanding
is
> that SSH_DISCONNECT does not impact who is closing the TCP
connection
> and who has to go into wait state).
> 
> Any suggestions what should be done to play the SSH game nicely?
> 
> /js
> 
> -- 
> Juergen Schoenwaelder           Jacobs University Bremen gGmbH
> Phone: +49 421 200 3587         Campus Ring 1, 28759 Bremen, Germany
> Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>
> 
> _______________________________________________
> Isms mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/isms
> 

_______________________________________________
Isms mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/isms